﻿using System;
using System.Net.Sockets;
using com.middlemind.Eds3.unity;

/*
 *
 * @author Victor G. Brusca, Middlemind Games
 */
namespace com.middlemind.Eds3
{
    public interface HandleEds3ClientComm
    {
        void HandleCurrentModeResult(bool error, Eds3Client eds3client, Eds3Client.Eds3ClientMode mode, Eds3Client.Eds3ClientMode prevMode, Eds3Client.Eds3ClientMode suggMode);
        void HandleDeserializeGameObjectWrapper(int objsLen, int spawnId, byte[] dataIn, int offset, int objsCnt, Eds3Client eds3client, GameObjectWrapper gow);
        void HandleSafeStopComplete();
        void HandleNetworkError(Exception e);
        void HandleProcessModeUnknown(byte[] receiveData, Socket clientSocket, Eds3Client eds3client);
        void HandleEds3ClientInit(Eds3Client eds3client);
    }
}
