﻿using System;
using com.middlemind.Eds3.unity;

/*
 *
 * @author Victor G. Brusca, Middlemind Games
 */
namespace com.middlemind.Eds3
{
    public interface HandleEds3ServerComm
    {
        void HandleProcessModeUnknown(byte[] dataIn, Eds3Server eds3server);
        byte[] HandleProcessServerGame(long timeStamp, Eds3Server eds3server);
        byte[] HandleObjPublication(byte[] dataIn, int dataLen, Eds3Server eds3server);
        GameObjectWrapper GetEmptyGameObjectWrapper();
        void HandleEds3ServerInit(Eds3Server eds3server);
    }
}
