﻿using System;
using System.Collections.Generic;
using com.middlemind.Eds3.unity;

/*
 *
 * @author Victor G. Brusca, Middlemind Games
 */
namespace com.middlemind.Eds3
{
    public interface HandleGameObjectWrapperSerialization
    {
        GameObjectWrapper BeforeSerializeGow(GameObjectWrapper gow);
        byte[] AfterSerializeGow(byte[] b, GameObjectWrapper gow);
        void SerializeIteration(GameObjectWrapper gow, byte[] b, byte[] ret, int pos);
        void SerializeIteration(GameObjectWrapper gow, byte[] b, List<byte[]> pRet, int pos);    
    
        byte[] BeforeDeserializeGow(byte[] b, GameObjectWrapper gow);
        GameObjectWrapper AfterDeserializeGow(GameObjectWrapper gow);    
        void DeserializeIteration(GameObjectWrapper gow, byte[] b, List<GameObjectWrapper> ret, int pos);
        void DeserializeIteration(GameObjectWrapper gow, byte[] b, Dictionary<int, GameObjectWrapper> ret, int pos);  
    }
}
