﻿using System;
using System.Collections;

/*
 *
 * @author Victor G. Brusca, Middlemind Games
 */
namespace com.middlemind.Eds3
{
    public class PlayerComparator : IComparer
    {
        public const int ASC = 1;
        public const int DESC = -1;
        private int order = 1;

        public PlayerComparator(int order)
        {
            this.order = order;
        }

        public int Compare(object o1, object o2)
        {
            Player p1 = (Player)o1;
            Player p2 = (Player)o2;

            int retVal = 0;
            if (p1.msgAvgTimeMs < p2.msgAvgTimeMs)
            {
                retVal = 1;
            }
            else if (p1.msgAvgTimeMs > p2.msgAvgTimeMs)
            {
                retVal = -1;
            }

            return (this.order * retVal);
        }
    }
}
